"use strict";require("core-js/modules/es.array.iterator");require("core-js/modules/es.promise");Object.defineProperty(exports,"__esModule",{value:true});exports.asyncDonePromise=exports.silentAsync=exports.bind=void 0;var _keepFuncProps=_interopRequireDefault(require("keep-func-props"));
var _asyncDone=_interopRequireDefault(require("async-done"));function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}






const bindFunc=function(func,...args){
return func.bind(null,...args);
};

const bind=(0,_keepFuncProps.default)(bindFunc);exports.bind=bind;


const eSilentAsync=function(func){
return async(...args)=>{
try{
await func(...args);
}catch(_unused){}
};
};

const silentAsync=(0,_keepFuncProps.default)(eSilentAsync);exports.silentAsync=silentAsync;


const asyncDonePromise=function(func){

return new Promise((resolve,reject)=>{
(0,_asyncDone.default)(func,error=>error?reject(error):resolve());
});
};exports.asyncDonePromise=asyncDonePromise;
//# sourceMappingURL=utils.js.map