"use strict";require("core-js/modules/es.symbol.description");require("core-js/modules/es.promise");Object.defineProperty(exports,"__esModule",{value:true});exports.getWatchTask=void 0;var _gulp=require("gulp");







const getWatchTask=function(files,firstArg,secondArg){
const{watchOptions,task}=parseOptions(firstArg,secondArg);




const watchTask=()=>startWatch({files,watchOptions,task});
addDescription({watchTask,task});
return watchTask;
};exports.getWatchTask=getWatchTask;




const parseOptions=function(firstArg,secondArg){
const{watchOptions,task}=parseOptionals(firstArg,secondArg);
const watchOptionsA={...DEFAULT_WATCH_OPTIONS,...watchOptions};
return{watchOptions:watchOptionsA,task};
};

const parseOptionals=function(firstArg,secondArg){
if(typeof firstArg==="function"||!isObject(firstArg)){
return{task:firstArg};
}

return{watchOptions:firstArg,task:secondArg};
};

const isObject=function(value){
return value!==null&&typeof value==="object";
};

const DEFAULT_WATCH_OPTIONS={ignoreInitial:false};

const startWatch=function({files,watchOptions,task}){


(0,_gulp.watch)(files,watchOptions,task);





return Promise.resolve();
};


const addDescription=function({watchTask,task}){
if(typeof task!=="function"||typeof task.description!=="string"){
return;
}


watchTask.description=`${task.description} (watch mode)`;
};
//# sourceMappingURL=watch.js.map